Commit a9ba7744 authored by cmercier's avatar cmercier

obidistutils: added fPIC flag needed for linux compilation and set

minimum python version to 3.7
parent 185a95e6
...@@ -75,7 +75,8 @@ def findCython(root,base=None,pyrexs=None): ...@@ -75,7 +75,8 @@ def findCython(root,base=None,pyrexs=None):
pyrexs[-1].extra_compile_args.extend(['-msse2', pyrexs[-1].extra_compile_args.extend(['-msse2',
'-Wno-unused-function', '-Wno-unused-function',
'-Wmissing-braces', '-Wmissing-braces',
'-Wchar-subscripts' '-Wchar-subscripts',
'-fPIC'
]) ])
except IOError: except IOError:
...@@ -142,7 +143,7 @@ def setup(**attrs): ...@@ -142,7 +143,7 @@ def setup(**attrs):
log.set_threshold(log.INFO) log.set_threshold(log.INFO)
minversion = attrs.get("pythonmin",'3.4') minversion = attrs.get("pythonmin",'3.7')
maxversion = attrs.get('pythonmax',None) maxversion = attrs.get('pythonmax',None)
fork = attrs.get('fork',False) fork = attrs.get('fork',False)
requirementfile = attrs.get('requirements','requirements.txt') requirementfile = attrs.get('requirements','requirements.txt')
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment